# pandas.Series.to_msgpack

`Series.``to_msgpack`(path_or_buf=None, encoding='utf-8', **kwargs)

  msgpack (serialize) object to input file path

  THIS IS AN EXPERIMENTAL LIBRARY and the storage format may not be stable until a future release.

  Parameters:

  path : string File path, buffer-like, or None

  > if None, return generated string

  append : boolean whether to append to an existing msgpack

  > (default is False)

  compress : type of compressor (zlib or blosc), default to None (no

  > compression)

Scroll To Top